import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { RebirthNGConfig } from '../rebirth-ng.config';
var ProgressBarComponent = (function () {
    function ProgressBarComponent(rebirthUIConfig) {
        this.type = '';
        this.type = rebirthUIConfig.progressBar.type;
        this.animate = rebirthUIConfig.progressBar.animate;
        this.striped = rebirthUIConfig.progressBar.striped;
        this.max = rebirthUIConfig.progressBar.max;
    }
    return ProgressBarComponent;
}());
export { ProgressBarComponent };
ProgressBarComponent.decorators = [
    { type: Component, args: [{
                selector: 're-progress-bar',
                template: "\n    <div class=\"progress {{cssClass}}\" [ngClass]=\"{'thin': thin}\"><div class=\"progress-bar {{ type? 'progress-bar-' + type : ''}}\" [ngClass]=\"{active: animate, 'progress-bar-striped' : striped}\" role=\"progressbar\" [attr.aria-valuenow]=\"value\" aria-valuemin=\"0\" [attr.aria-valuemax]=\"max\" style=\"min-width: 2em\" [style.min-width.%]=\"value * 100 / max\">{{text}}</div></div>\n  ",
                styles: ["\n    .thin{height:2px}\n  "],
                changeDetection: ChangeDetectionStrategy.OnPush
            },] },
];
/** @nocollapse */
ProgressBarComponent.ctorParameters = function () { return [
    { type: RebirthNGConfig, },
]; };
ProgressBarComponent.propDecorators = {
    'type': [{ type: Input },],
    'text': [{ type: Input },],
    'thin': [{ type: Input },],
    'max': [{ type: Input },],
    'animate': [{ type: Input },],
    'striped': [{ type: Input },],
    'value': [{ type: Input },],
    'cssClass': [{ type: Input },],
};
//# sourceMappingURL=progress-bar.component.js.map