import { OnInit, ViewContainerRef, ComponentFactoryResolver, Injector, ComponentRef, ElementRef, Renderer2, TemplateRef, OnDestroy, Type, EventEmitter } from '@angular/core';
import { PositionService } from '../position/positioning.service';
import { TooltipPopup } from './tooltip-popup';
import { RebirthNGConfig } from '../rebirth-ng.config';
export declare abstract class Tooltip<T extends TooltipPopup> implements OnInit, OnDestroy {
    protected viewContainerRef: ViewContainerRef;
    protected elementRef: ElementRef;
    protected componentFactoryResolver: ComponentFactoryResolver;
    protected injector: Injector;
    protected positionService: PositionService;
    protected renderer: Renderer2;
    protected rebirthUIConfig: RebirthNGConfig;
    context: any;
    cssClass: string;
    appendBody: boolean;
    trigger: 'hover' | 'click' | 'manual';
    placement: 'top' | 'bottom' | 'left' | 'right';
    popupRef: ComponentRef<T>;
    triggers: {
        hover: string[];
        focus: string[];
        click: string[];
        manual: any[];
    };
    listens: Function[];
    tooltipPopupType: Type<T>;
    positionChange: EventEmitter<any>;
    constructor(viewContainerRef: ViewContainerRef, elementRef: ElementRef, componentFactoryResolver: ComponentFactoryResolver, injector: Injector, positionService: PositionService, renderer: Renderer2, rebirthUIConfig: RebirthNGConfig);
    abstract getContent(): string | TemplateRef<any>;
    ngOnInit(): void;
    onDocumentClick($event: Event): void;
    ngOnDestroy(): void;
    private removePopView();
    toggle(): void;
    show(): void;
    hide(): void;
    private registerTriggers();
    private positionTooltip();
    protected fillPopup(): T;
}
